Package ru.bitel.bgbilling.modules.bill.common.bean.link

# Class BillLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.link.BillLink

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BillLink extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getData()`
  `Date`
  `getLastModified()`
  `List<BillLinkBlock>`
  `getLinkBlocks()`
  `int`
  `getUserId()`
  `BillLink`
  `setData(String data)`
  `BillLink`
  `setId(int id)`
  Устанавливает id объекта
  `BillLink`
  `setLastModified(Date lastModified)`
  `BillLink`
  `setLinkBlocks(List<BillLinkBlock> linkBlocks)`
  `BillLink`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `BillLink`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BillLink

    public BillLink()

- ## Method Details

  - ### getData

    public String getData()

  - ### getLastModified

    public Date getLastModified()

  - ### getLinkBlocks

    public List<BillLinkBlock> getLinkBlocks()

  - ### getUserId

    public int getUserId()

  - ### setId

    public BillLink setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public BillLink setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setData

    public BillLink setData(String data)

  - ### setLastModified

    public BillLink setLastModified(Date lastModified)

  - ### setLinkBlocks

    public BillLink setLinkBlocks(List<BillLinkBlock> linkBlocks)

  - ### setUserId

    public BillLink setUserId(int userId)